Get category heatmap report
GET /api/v1/programmatic/reports/category-heatmap
/api/v1/programmatic/reports/category-heatmapReturns category spending intensity over the selected period.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
month | query | stringOptional | Final report month. Defaults to the current month in the workspace timezone. 2026-07 |
period | query | 6m | 12mOptional | Lookback window ending at `month`. 6m |
Code examples
curl --request GET \
--url 'https://api.tetri.app/api/v1/programmatic/reports/category-heatmap?month=2026-07&period=6m' \
--header 'Authorization: Bearer $TETRI_API_TOKEN'Responses
{
"data": {
"type": "category_heatmap",
"id": "<string>",
"attributes": {
"period": "<string>",
"currency_code": "<string>",
"currency_symbol": "<string>",
"months": [
"<string>"
],
"categories": [
{
"category_id": "<string>",
"name": "<string>",
"icon_name": "<string>",
"accent_color": "<string>"
}
],
"cells": [
[
"<string>"
]
],
"min_value": "<string>",
"max_value": "<string>",
"period_total_agg": {
"per_currency": [
{
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 0,
"amount": "<string>",
"count": 0
}
],
"home_converted": {
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 0,
"amount": "<string>",
"fx_partial": false,
"missing_fx_count": 0,
"rate_date": "2026-07-12"
}
}
}
}
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}